| FlexDoc/XML XSDDoc Demo | XML Schemas for MathML 3.0

Overview All Components NS-Bindings | FRAMES NO FRAMES | SEARCH |

element <m:semantics> (defined in group m:semantics-ci)

Namespace: | http://www.w3.org/1998/Math/MathML
Type: | anonymous complexType
Content: | complex, 10 attributes, attr. wildcard, 4 elements
Defined: | locally in group m:semantics-ci in mathml3-strict-content.xsd; see XML source
Includes: | declarations of 3 elements

Component Diagram

XML Representation Summary
<m:semantics
id | = | xs:ID
xref | = | xs:anySimpleType
class | = | xs:NMTOKENS
style | = | xs:string
href | = | xs:anyURI
other | = | xs:anySimpleType
encoding | = | xs:string
definitionURL | = | xs:anyURI
cd | = | xs:NCName
name | = | xs:NCName
| {any attribute from non-schema namespace}
| >
Content: | (m:ci | m:semantics), (m:annotation | m:annotation-xml)*
</m:semantics>

Related Components

- Included in content model of elements (2):

  m:bvar, | m:semantics (defined in group m:semantics-ci)

XML Source (see within schema source)

<xs:element name="semantics"> <xs:complexType> <xs:sequence> <xs:choice> <xs:element ref="m:ci"/> <xs:group ref="m:semantics-ci"/> </xs:choice> <xs:choice maxOccurs="unbounded" minOccurs="0"> <xs:element ref="m:annotation"/> <xs:element ref="m:annotation-xml"/> </xs:choice> </xs:sequence> <xs:attributeGroup ref="m:semantics.attributes"/> </xs:complexType> </xs:element>

Content Element Details (all declarations defined in this component; 3/4)
m:annotation

Type: | anonymous complexType
Content: | mixed
Declared: | by reference in (this) element m:semantics

XML Source (see within schema source)

<xs:element ref="m:annotation"/>

m:annotation-xml

Type: | anonymous complexType (extension of m:annotation-xml.model)
Content: | complex
Declared: | by reference in (this) element m:semantics

XML Source (see within schema source)

<xs:element ref="m:annotation-xml"/>

m:ci

Type: | anonymous complexType (extension of m:ci.content)
Content: | complex
Declared: | by reference in (this) element m:semantics

XML Source (see within schema source)

<xs:element ref="m:ci"/>

Overview All Components NS-Bindings | FRAMES NO FRAMES | SEARCH |

XML schema documentation generated with FlexDoc/XML 1.15 using FlexDoc/XML XSDDoc 3.5 template set. All XSD diagrams generated by FlexDoc/XML DiagramKit.